Bug 809967 - [abrt] autokey-gtk-0.71.3-4.fc16: interface.py:28:<module>:ImportError: No module named Xlib
[abrt] autokey-gtk-0.71.3-4.fc16: interface.py:28:<module>:ImportError: No mo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autokey (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghu Udiyar
Fedora Extras Quality Assurance
abrt_hash:9f60c106d4cb8bff9172947c047...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 14:45 EDT by Frank Thrum
Modified: 2012-09-05 11:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 11:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.04 KB, text/plain)
2012-04-04 14:45 EDT, Frank Thrum
no flags Details

  None (edit)
Description Frank Thrum 2012-04-04 14:45:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/autokey-gtk
executable:     /usr/bin/autokey-gtk
kernel:         3.3.0-8.fc16.i686
reason:         interface.py:28:<module>:ImportError: No module named Xlib
time:           Wed 04 Apr 2012 08:37:10 PM CEST
uid:            1001
username:       fth

backtrace:      Text file, 7204 bytes

comment:
:Istarted autokey-qt; same as autokey-gkt;
:[fth@apanatschi Documents]$ yum list installed | grep --color=never auto
:autokey.noarch                   0.71.3-4.fc16      @fedora                     
:autokey-common.noarch            0.71.3-4.fc16      @fedora                     
:autokey-gtk.noarch               0.71.3-4.fc16      @fedora                     
:autokey-qt.noarch                0.71.3-4.fc16      @fedora                     
:avahi-autoipd.i686               0.6.30-4.fc16      @koji-override-0/$releasever
:[fth@apanatschi Documents]$ 

smolt_data:
:
:
:General
:=================================
:UUID: 16186257-5559-49b9-95c9-f2c621cc7209
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4389.15
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2201
:System Memory: 2008
:System Swap: 4031
:Vendor: FUJITSU SIEMENS
:System: AMILO Pi 2515 20
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33078:5940:4360) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10288:5940:4360) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10302:5940:4360) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:16930:32902:4097) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG Network Connection
:(32902:10754:5940:4360) pci, i915, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (primary)
:(32902:10755:5940:4360) pci, None, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (secondary)
:(32902:10303:5940:4360) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10261:5940:4360) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:10315:5940:4360) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10281:5940:4360) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10307:5940:4360) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10289:5940:4360) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10309:5940:4360) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10292:5940:4360) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:5940:4360) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(32902:10752:5940:4360) pci, agpgart-intel, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10290:5940:4360) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10320:5940:4360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10294:5940:4360) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:5940:4360) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_apanatschi-lv_root / ext4 4096 4096 13092922 11992043 11861017 3276800 3172795 3172795
:/dev/sda2 /boot ext4 1024 1024 508745 411056 385456 128016 127739 127739
:/dev/mapper/vg_apanatschi-lv_home /home ext4 4096 4096 32083796 31510112 29903661 8036352 8034530 8034530
:
Comment 1 Frank Thrum 2012-04-04 14:45:53 EDT
Created attachment 575201 [details]
File: backtrace
Comment 2 Raghu Udiyar 2012-05-17 02:42:05 EDT
Make sure python-xlib is installed.

The package correctly requires python-xlib :

http://koji.fedoraproject.org/koji/rpminfo?rpmID=2647093

It's possible this did not get installed for some reason.
Comment 3 reposer 2012-06-18 11:41:15 EDT
installed autokey.noarch

 yum list installed  'autokey*'
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
autokey.noarch                                                       0.71.3-4.fc16                                                 @fedora
autokey-common.noarch                                                0.71.3-4.fc16                                                 @fedora
autokey-gtk.noarch                                                   0.71.3-4.fc16                                                 @fedora
autokey-qt.noarch                                                    0.71.3-4.fc16                                                 @fedora
[fth@tokai-ito Documents]$ 

started autokey via menu enty


Package: autokey-qt-0.71.3-4.fc16
OS Release: Fedora release 16 (Verne)

Note You need to log in before you can comment on or make changes to this bug.